﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ustawienia
{
    class Osoba
    {
        private int polePrywatne;
        public static string Gatunek = "Reptylianin";
        public int Własność { get; }

        public string Imię, Nazwisko;
        public DateTime DataUrodzenia;
        public int Telefon;
    }

    class Program
    {
        static void Main(string[] args)
        {
            List<string> memberNames = SettingsManager<Osoba>.ExtractMembersNames();
            Console.WriteLine("Składowe typu " + typeof(Osoba).Name + ":");            
            foreach (string memberName in memberNames)
                Console.WriteLine(memberName);

            Osoba ja = new Osoba()
            {
                Imię = "Jacek",
                Nazwisko = "Matulewski",
                DataUrodzenia = new DateTime(1972, 6, 23),
                Telefon = 123456789
            };
            SettingsManager<Osoba> sm = new SettingsManager<Osoba>(ja, new CultureInfo("pl-PL"));
            Console.WriteLine("\nStan obiektu " + nameof(ja) + " typu " + ja.GetType().Name);
            foreach (KeyValuePair<string, string> value in sm.Values)
            {
                Console.WriteLine(value.Key + " - " + value.Value);
            }
            sm.SaveToXml("osoba.xml");
        }
    }
}
